﻿using System;
using System.Collections.Generic;
using System.Web;

namespace UdCapture_Sample
{
    /// <summary>
    /// SaveImage 的摘要说明
    /// </summary>
    public class SaveImage : IHttpHandler, System.Web.SessionState.IRequiresSessionState 
    {

        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "application/json";

            //使用文件直接上传方式
            HttpPostedFile file = context.Request.Files["UploadFile"];
            if (file != null)
            {
                string ext = System.IO.Path.GetExtension(file.FileName).ToLower();
                if (ext == ".jpg" || ext == ".png" || ext == ".bmp" || ext == ".gif")
                {
                    string fileName = System.IO.Path.GetFileName(file.FileName);
                    file.SaveAs(context.Server.MapPath("../Upload/" + fileName));
                    context.Response.Write("{\"filepath\":\"Upload/" + fileName + "\"}");
                }
            }
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}